You are not logged in.

#1 2014-09-01 21:53:20

dryce
Member
Registered: 2011-03-21
Posts: 17

Which package provides libvdpau_i965.so?

I have a laptop with Intel HD Graphics running Arch x86_64. Everything had been operating normally until recently. I tried playing mp3 samples from Amazon and noticed that the icon would spin and try to play, but never actually did. I checked that all plugins were installed and they are. It worked fine in Chromium, so I assumed a bug in Firefox. I recompiled Firefox with debug symbols and ran it from terminal. When trying to play a sample I get Failed to open VDPAU backend libvdpau_i965.so: cannot open shared object file: No such file or directory. I checked and this file is missing from my system. I have researched quite a bit and found others missing this file, but no concrete way to fix the issue. The latest libvdpau is already installed. Any help is appreciated!

Offline

#2 2014-09-01 22:08:45

graysky
Wiki Maintainer
From: :wq
Registered: 2008-12-01
Posts: 9,868
Website

Re: Which package provides libvdpau_i965.so?

pkgfile -S libvdpau_i965.so

Last edited by graysky (2014-09-01 22:09:03)


CPU-optimized Linux-ck packages @ Repo-ck  • AUR packagesZsh and other configs

Offline

#3 2014-09-01 22:19:08

Gusar
Member
Registered: 2009-08-25
Posts: 3,604

Re: Which package provides libvdpau_i965.so?

No package provides it, because there's no VDPAU for i965. You can install libvdpau-va-gl, then make a libvdpau_i965.so -> libvdpau_va_gl.so.1 symlink, it'll work.

However, I'm quite sure that's not connected to your problem. Flash always wants to open a VDPAU driver, but it'll work just fine if this fails.

Offline

#4 2014-09-01 23:40:20

karol
Archivist
Registered: 2009-05-06
Posts: 25,440

Re: Which package provides libvdpau_i965.so?

I get similar messages in the terminal with the stock firefox, but it works anyway:

Failed to open VDPAU backend libvdpau_i915.so: cannot open shared object file: No such file or directory
Failed to open VDPAU backend libvdpau_i915.so: cannot open shared object file: No such file or directory
Failed to open VDPAU backend libvdpau_i915.so: cannot open shared object file: No such file or directory
Failed to open VDPAU backend libvdpau_i915.so: cannot open shared object file: No such file or directory

Offline

#5 2014-09-02 00:20:52

Trilby
Inspector Parrot
Registered: 2011-11-29
Posts: 22,399
Website

Re: Which package provides libvdpau_i965.so?

graysky wrote:
pkgfile -S libvdpau_i965.so

Slightly O.T., but pkgfile doesn't have an "-S" flag, it does have a lower case "-s" which is also the default.  But even more O.T., thanks for getting me to read pkgfile's man page - it's got a couple handy switches I hadn't known about.


"UNIX is simple and coherent..." - Dennis Ritchie, "GNU's Not UNIX" -  Richard Stallman

Offline

#6 2014-09-02 00:26:23

graysky
Wiki Maintainer
From: :wq
Registered: 2008-12-01
Posts: 9,868
Website

Re: Which package provides libvdpau_i965.so?

Was responding from memory on my phone tongue


CPU-optimized Linux-ck packages @ Repo-ck  • AUR packagesZsh and other configs

Offline

#7 2014-09-02 00:35:10

nomorewindows
Member
Registered: 2010-04-03
Posts: 3,252

Re: Which package provides libvdpau_i965.so?

libva-intel-driver


I may have to CONSOLE you about your usage of ridiculously easy graphical interfaces...
Look ma, no mouse.

Offline

#8 2014-09-02 01:22:52

dryce
Member
Registered: 2011-03-21
Posts: 17

Re: Which package provides libvdpau_i965.so?

Thanks folks. It was a shot in the dark anyhow. It's the only error I get so no clue what the problem is. Something obviously isn't playing nice.

Offline

#9 2014-09-02 13:46:03

ooo
Member
Registered: 2013-04-10
Posts: 1,607

Re: Which package provides libvdpau_i965.so?

as @nomorewindows said:

$ pacman -Qo /usr/lib/dri/i965_drv_video.so
/usr/lib/dri/i965_drv_video.so is owned by libva-intel-driver 1.3.2-1

EDIT. oops that's different file actually. well anyway..

I don't really see how that could prevent you from playing mp3 samples on some webpage though.

Last edited by ooo (2014-09-02 13:47:09)

Offline

#10 2014-09-02 13:57:12

dryce
Member
Registered: 2011-03-21
Posts: 17

Re: Which package provides libvdpau_i965.so?

It's really strange. Gstreamer and it's base plugins are already installed. I don't seem to be missing anything. I'll have to play around with it more.

Offline

#11 2014-09-02 14:39:48

ooo
Member
Registered: 2013-04-10
Posts: 1,607

Re: Which package provides libvdpau_i965.so?

Well.. If you want to tackle the 'amazon not playing mp3 samples' issue, you should provide a bit more information:
- does sound work on other web pages? (also try to determine if the page uses flash for audio playback)
- which audio subsystems are you using, if any? (e.g. pulseaudio, even though it should work with flash as long as pulseaudio-alsa is installed)

Last edited by ooo (2014-09-02 14:40:25)

Offline

#12 2014-09-02 18:28:42

dryce
Member
Registered: 2011-03-21
Posts: 17

Re: Which package provides libvdpau_i965.so?

I have sound in everything and on every other page except the steam client. I use Alsa for sound no pulse audio. I believe amazon uses flash for the mp3 samples, but I'll double check.

Offline

#13 2014-09-02 19:43:17

ooo
Member
Registered: 2013-04-10
Posts: 1,607

Re: Which package provides libvdpau_i965.so?

if flash works with audio everywhere else it's unlikely to be the culprit.

Do you have 'audio.gstreamer.enabled' set to 'true' in firefox's about:config? Also you need either gst-plugins-bad or gst-plugins-ugly (can't remember which) for mp3 playback.

Offline

#14 2014-09-02 21:09:36

dryce
Member
Registered: 2011-03-21
Posts: 17

Re: Which package provides libvdpau_i965.so?

Media.gstreamer.enabled is set to true, yes. Bad and ugly are installed, but still no luck.

Offline

#15 2014-10-06 02:48:37

David Batson
Member
Registered: 2011-10-13
Posts: 640

Re: Which package provides libvdpau_i965.so?

Which package provides libvdpau_i965.so?

I found how to get it to work - sort of.  I'm not really impressed with the results. Using arch enlightenment with wayland.
You need libvdpau-va-gl installed.

Symlink libvdpau_i965.so.1 to libvdpau_va_gl.so.1

cd /usr/lib/vdpau/
ln -s libvdpau_va_gl.so.1 libvdpau_i965.so.1
$ vdpauinfo
display: :0.0   screen: 0
[VS] Software VDPAU backend library initialized
libva info: VA-API version 0.36.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib/dri/i965_drv_video.so
libva info: Found init function __vaDriverInit_0_36
libva info: va_openDriver() returns 0
API version: 1
Information string: OpenGL/VAAPI/libswscale backend for VDPAU

vdpauinfo is available from AUR.

Offline

#16 2015-06-14 12:37:21

clutzer
Member
Registered: 2015-06-14
Posts: 1

Re: Which package provides libvdpau_i965.so?

Instead of creating a symlink, you can create the environment variable:

VDPAU_DRIVER=va_gl

either for the user in question, or system wide.

Offline

#17 2015-06-18 21:15:59

graysky
Wiki Maintainer
From: :wq
Registered: 2008-12-01
Posts: 9,868
Website

Re: Which package provides libvdpau_i965.so?

clutzer wrote:

Instead of creating a symlink, you can create the environment variable:

VDPAU_DRIVER=va_gl

either for the user in question, or system wide.

Doesn't work for me:

% vlc screencap.mp4
VLC media player 2.2.1 Terry Pratchett (Weatherwax) (revision 2.2.1-0-ga425c42)
[0000000000a1d118] core libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
[00007f00a806b278] vdpau_avcodec generic error: unsupported codec 28 or profile 244
Failed to open VDPAU backend libvdpau_i965.so: cannot open shared object file: No such file or directory

CPU-optimized Linux-ck packages @ Repo-ck  • AUR packagesZsh and other configs

Offline

#18 2015-06-19 02:22:48

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 7,331

Re: Which package provides libvdpau_i965.so?

Neither the symlink nor the env variable are really solutions.

This is simple. Intel does not support VDPAU. Configure your software to use VA-API, switch to better software if your current player won't use VA-API, or live with software rendering.

Last edited by Scimmia (2015-06-19 02:24:27)

Offline

Board footer

Powered by FluxBB